curl --request POST 'https://esa-v2.acreblitz.com/api/v2/esa-check' \
--header "X-API-Key: $ACREBLITZ_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"provider_id": "your-provider",
"account_id": "your-account",
"provider_field_id": "north-field",
"provider_group_id": "work-order-42",
"field_name": "North field",
"application_id": "north-application-2026-10-05",
"application_method": "Broadcast-Ground",
"application_date": "2026-10-05",
"field_boundary": {
"type": "Feature",
"properties": {},
"geometry": {
"type": "Polygon",
"coordinates": [
[
[
-95.404,
43.102
],
[
-95.392,
43.102
],
[
-95.392,
43.11
],
[
-95.404,
43.11
],
[
-95.404,
43.102
]
]
]
}
},
"products": [
{
"epa_number": "7969-500",
"product_name": "Liberty Ultra",
"rate": 32,
"rate_unit": "fl oz/ac",
"rate_unit_state": "L"
}
],
"crop": [
"Corn"
],
"pest": [
"Waterhemp"
],
"gpa": 15,
"droplet_size": "VC",
"boom_height": "low",
"include_soil_analysis": true,
"include_mitigations": true
}'